Loading...
Searching...
No Matches
D3D12_DEPTH_STENCIL_VIEW_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

DXGI_FORMAT | Format
D3D12_DSV_DIMENSION | ViewDimension
D3D12_DSV_FLAGS | Flags
union { |
D3D12_TEX1D_DSV Texture1D |
D3D12_TEX1D_ARRAY_DSV Texture1DArray |
D3D12_TEX2D_DSV Texture2D |
D3D12_TEX2D_ARRAY_DSV Texture2DArray |
D3D12_TEX2DMS_DSV Texture2DMS |
D3D12_TEX2DMS_ARRAY_DSV Texture2DMSArray |
}; |

## Detailed Description

Definition at line 2616 of file mini_d3d12.h.

## Member Data Documentation

## Format

DXGI_FORMAT D3D12_DEPTH_STENCIL_VIEW_DESC::Format

Definition at line 2617 of file mini_d3d12.h.

## ViewDimension

D3D12_DSV_DIMENSION D3D12_DEPTH_STENCIL_VIEW_DESC::ViewDimension

Definition at line 2618 of file mini_d3d12.h.

## Flags

D3D12_DSV_FLAGS D3D12_DEPTH_STENCIL_VIEW_DESC::Flags

Definition at line 2619 of file mini_d3d12.h.

## Texture1D

D3D12_TEX1D_DSV D3D12_DEPTH_STENCIL_VIEW_DESC::Texture1D

Definition at line 2621 of file mini_d3d12.h.

## Texture1DArray

D3D12_TEX1D_ARRAY_DSV D3D12_DEPTH_STENCIL_VIEW_DESC::Texture1DArray

Definition at line 2622 of file mini_d3d12.h.

## Texture2D

D3D12_TEX2D_DSV D3D12_DEPTH_STENCIL_VIEW_DESC::Texture2D

Definition at line 2623 of file mini_d3d12.h.

## Texture2DArray

D3D12_TEX2D_ARRAY_DSV D3D12_DEPTH_STENCIL_VIEW_DESC::Texture2DArray

Definition at line 2624 of file mini_d3d12.h.

## Texture2DMS

D3D12_TEX2DMS_DSV D3D12_DEPTH_STENCIL_VIEW_DESC::Texture2DMS

Definition at line 2625 of file mini_d3d12.h.

## Texture2DMSArray

D3D12_TEX2DMS_ARRAY_DSV D3D12_DEPTH_STENCIL_VIEW_DESC::Texture2DMSArray

Definition at line 2626 of file mini_d3d12.h.

## [union]

union { ... } D3D12_DEPTH_STENCIL_VIEW_DESC

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h